#### D.2.11.21 hasFieldCoefficient

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasFieldCoefficient ( rng );

Return:
  1 if the coefficients form (and are considered to be) a field, 0 otherwise.

Example:

    LIB "ring.lib";
    ring rng = integer,x,dp;
    hasFieldCoefficient(rng); //no
    ==> 0
    // if a certain method supports only rings with integer coefficients,
    // then a parameter test could be performed:
    ring rng2 = 0, x, dp;
    hasFieldCoefficient(rng2);  // yes
    ==> 1

See also: attrib.

User manual for Singular version 4-0-3, 2016, generated by texi2html.